<?php
/**
 * @version		3.0.0
 * @package		K2
 * @author		JoomlaWorks http://www.joomlaworks.net
 * @copyright	Copyright (c) 2006 - 2014 JoomlaWorks Ltd. All rights reserved.
 * @license		GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
 */

// no direct access
defined('_JEXEC') or die; ?>

<section id="k2Container" class="tagView<?php if($this->params->get('pageclass_sfx')) echo ' '.$this->params->get('pageclass_sfx'); ?>">

	<?php if($this->params->get('show_page_heading')): ?>
	<!-- Page heading -->
	<h1>
		<?php echo $this->escape($this->params->get('page_heading')); ?>
	</h1>
	<?php endif; ?>
	
	<?php if($this->params->get('tagFeedIcon')): ?>
	<!-- RSS feed icon -->
	<div class="k2FeedIcon">
		<a href="<?php echo $this->feedLink; ?>" title="<?php echo JText::_('K2_SUBSCRIBE_TO_THIS_RSS_FEED'); ?>">
			<span><?php echo JText::_('K2_SUBSCRIBE_TO_THIS_RSS_FEED'); ?></span>
		</a>
		<div class="clr"></div>
	</div>
	<?php endif; ?>
	
	<?php if($this->params->get('tagExtraFields') && count($this->tag->extraFieldsGroups)): ?>
	<!-- Tag extra fields -->
	<div class="tagExtraFields">
		<h3><?php echo JText::_('K2_ADDITIONAL_INFO'); ?></h3>
		<?php foreach ($this->tag->extraFieldsGroups as $extraFieldGroup): ?>
		<h4><?php echo $extraFieldGroup->name; ?></h4>
		<ul>
		<?php foreach ($extraFieldGroup->fields as $key=>$extraField): ?>
		<?php if($extraField->output): ?>
			<li class="<?php echo ($key%2) ? "odd" : "even"; ?> type<?php echo ucfirst($extraField->type); ?> group<?php echo $extraField->group; ?>">
				<span class="tagExtraFieldsLabel"><?php echo $extraField->name; ?>:</span>
				<span class="tagExtraFieldsValue"><?php echo $extraField->output; ?></span>
			</li>
		<?php endif; ?>
		<?php endforeach; ?>
		</ul>
		<?php endforeach; ?>
		<div class="clr"></div>
	</div>
	<?php endif; ?>
	
	<?php if(count($this->items)): ?>
	<div class="itemList">
		<?php foreach($this->items as $item): ?>
			<?php $this->item = $item; echo $this->loadItemlistLayout(); ?>
		<?php endforeach; ?>
	</div>
	<?php endif; ?>	
	
	<?php if($this->pagination->get('pages.total') > 1): ?>
	<!-- Pagination -->
	<nav class="k2Pagination pagination">
		<?php echo $this->pagination->getPagesLinks(); ?>
		<div class="clr"></div>
		<?php echo $this->pagination->getPagesCounter(); ?>
	</nav>
	<?php endif; ?>

</section>